#!/usr/bin/env bash

set -euo pipefail
IFS=$'\n\t'

TEMP=$(mktemp /tmp/clash-config-XXXXXX)
OUTPUT=${OUTPUT:-$HOME/.config/clash/config.yaml}
OUTDIR=$(dirname $OUTPUT)

LOG="/tmp/clash-updater.log"

exec 2>&1 > ${LOG}
set -x

while true; do
    curl -v -o ${TEMP} ${SUBSCRIPTION_URL}
    RET=$?

    if [[ $RET -eq 0 ]]; then
        mkdir -pv $OUTDIR
        cp -v $TEMP $OUTPUT
    fi

    sleep $((3600*24))
done
